@ECHO OFF
REM ====================================================================
REM Controlled initial-value ray tracing in the model with LENticular
REM inclusion followed by interpolation of travel times (MS-DOS)
REM ====================================================================
REM Ray tracing (refracted wave):
REM ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
ECHO 'leni-crt.dat' / >crt.tmp
ECHO                 >>crt.tmp
    crt               <crt.tmp
IF ERRORLEVEL 1 PAUSE
DEL                    crt.tmp
REM Note: The blank line in crt.tmp is required only if 'scronum.for' is
REM       replaced with 'scropc.for'.  Otherwise, the above lines can be
REM       simplified to a single line:
REM       echo 'leni-crt.dat'  /Icrt
REM       where I stands for the piping command.
REM ....................................................................
REM Calculating travel times at given gridpoints:
REM ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
ECHO                      / Default input files          >mtt.tmp
ECHO 'leni-num.out'       / Output: numbers of arrivals >>mtt.tmp
ECHO 'leni-mtt.out', 'tt' /         travel times        >>mtt.tmp
ECHO 'leni-his.out', 'hi' /         ray histories       >>mtt.tmp
ECHO 'leni-grd.h' 'mtt.tmp' /|mtt
IF ERRORLEVEL 1 PAUSE
REM ....................................................................
REM Plotting numbers and values of travel times at given gridpoints:
REM ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
REM Numbers of arrivals:
ECHO VPLUS=2          CREF=0.166667                      >grdps.tmp
ECHO 'leni-grd.h' 'grdps.tmp' 'leni-num.out' 'leni-num.ps' /|grdps
IF ERRORLEVEL 1 PAUSE
REM
REM Travel times sorted according to their size:
FOR %%F IN ( leni-t*.out ) DO DEL %%F
ECHO 'leni-grd.h' 'leni-num.out' 'leni-mtt.out' 'leni-t00.out' /|mgrd
IF ERRORLEVEL 1 PAUSE
ECHO VCIRC=1  VREF=0  CREF=0.166667                      >grdps.tmp
FOR %%F IN ( leni-t*. ) DO DEL %%F
REN leni-t*.out *.
FOR %%F IN ( leni-t*. ) DO CALL RUN grdps 'leni-grd.h' 'grdps.tmp' '%%F' '%%F.ps'
REN leni-t*. *.out
REM
REM File 'leni-num.ps' contains the colour figure of the numbers of
REM travel times computed on the given grid.
REM Files 'leni-t*.ps' contain the colour figures of the travel times,
REM sorted according to their size (e.g., file 'leni-t01.ps' contains
REM the travel times of the fastest arrival).
REM ====================================================================
