@ECHO OFF
REM ====================================================================
REM Synthetic seismograms in 2-D model UNCONFORMITY (MS-DOS)
REM ====================================================================
GOTO :START
:START
REM --------------------------------------------------------------------
REM Green function:
REM ~~~~~~~~~~~~~~~
REM 2-D two-point ray tracing ('crt.for' must not include 'scropc.for'):
ECHO 'u2d-crt.dat' /|crt
IF ERRORLEVEL 1 PAUSE
REM ....................................................................
REM Converting output of CRT into Green function:
ECHO ' ' ' ' 's01.out' 's01i.out' 'green.out' /|green
IF ERRORLEVEL 1 PAUSE
REM --------------------------------------------------------------------
REM Renaming already created PostScript plots:
REM ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
IF EXIST pl0t*.ps DEL pl0t*.ps
IF EXIST plot*.ps REN plot*.ps pl0t*.ps
IF ERRORLEVEL 1 PAUSE
REM --------------------------------------------------------------------
REM Time-domain seismograms:
REM ~~~~~~~~~~~~~~~~~~~~~~~~
REM Generating the source time function:
ECHO 'u2d-ss.dat' ' ' 'u2d-t0.gse' 'u2d-sst.out' 0 /|ss
IF ERRORLEVEL 1 PAUSE
COPY plot*.ps sst0*.ps
DEL  plot*.ps
REM ....................................................................
REM Calculating the synthetic seismograms (1st component):
ECHO 'green.out' 'source.dat' ' ' 'u2d-t0.gse' 'u2d-t1.gse' 1 /|greenss
IF ERRORLEVEL 1 PAUSE
REM Calculating the synthetic seismograms (3rd component):
ECHO 'green.out' 'source.dat' ' ' 'u2d-t0.gse' 'u2d-t3.gse' 3 /|greenss
IF ERRORLEVEL 1 PAUSE
REM --------------------------------------------------------------------
REM Frequency-domain seismograms:
REM ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
REM Calculating the response functions (all components, no attenuation):
ECHO 1024 4. 200. 0.001 1.000 0. 100. >u2d-fr.tmp
ECHO 'green.out' 'source.dat' 'u2d-fr.tmp' ' ' 'u2d-rff.out' 0 /|greenss
IF ERRORLEVEL 1 PAUSE
REM Calculating the response functions (all components, noncausal att.):
ECHO 1024 4. 200. 0.001 1.000 1.   0. >u2d-fr.tmp
ECHO 'green.out' 'source.dat' 'u2d-fr.tmp' ' ' 'u2d-rfn.out' 0 /|greenss
IF ERRORLEVEL 1 PAUSE
REM Calculating the response functions (all components, attenuation):
ECHO 1024 4. 200. 0.001 1.000 1. 100. >u2d-fr.tmp
ECHO 'green.out' 'source.dat' 'u2d-fr.tmp' ' ' 'u2d-rfq.out' 0 /|greenss
IF ERRORLEVEL 1 PAUSE
REM ....................................................................
REM Calculating the synthetic seismograms (1st component, no attenuation):
ECHO 'u2d-ss.dat' 'u2d-rff.out' 'u2d-f1.gse' 'u2d-ssf1.out' 1 /|ss
IF ERRORLEVEL 1 PAUSE
COPY plot*.ps ssf1*.ps
DEL  plot*.ps
REM Calculating the synthetic seismograms (3rd component, no attenuation):
ECHO 'u2d-ss.dat' 'u2d-rff.out' 'u2d-f3.gse' 'u2d-ssf3.out' 3 /|ss
IF ERRORLEVEL 1 PAUSE
COPY plot*.ps ssf3*.ps
DEL  plot*.ps
REM Calculating the synthetic seismograms (1st component, noncausal att.):
ECHO 'u2d-ss.dat' 'u2d-rfn.out' 'u2d-n1.gse' 'u2d-ssn1.out' 1 /|ss
IF ERRORLEVEL 1 PAUSE
COPY plot*.ps ssn1*.ps
DEL  plot*.ps
REM Calculating the synthetic seismograms (3rd component, noncausal att.):
ECHO 'u2d-ss.dat' 'u2d-rfn.out' 'u2d-n3.gse' 'u2d-ssn3.out' 3 /|ss
IF ERRORLEVEL 1 PAUSE
COPY plot*.ps ssn3*.ps
DEL  plot*.ps
REM Calculating the synthetic seismograms (1st component, attenuation):
ECHO 'u2d-ss.dat' 'u2d-rfq.out' 'u2d-q1.gse' 'u2d-ssq1.out' 1 /|ss
IF ERRORLEVEL 1 PAUSE
COPY plot*.ps ssq1*.ps
DEL  plot*.ps
REM Calculating the synthetic seismograms (3rd component, attenuation):
ECHO 'u2d-ss.dat' 'u2d-rfq.out' 'u2d-q3.gse' 'u2d-ssq3.out' 3 /|ss
IF ERRORLEVEL 1 PAUSE
COPY plot*.ps ssq3*.ps
DEL  plot*.ps
REM --------------------------------------------------------------------
REM Plotting seismograms:
REM ~~~~~~~~~~~~~~~~~~~~~
REM Plotting the synthetic seismograms (1st component, time-domain):
ECHO 'u2d-sp-1.dat' 'u2d-t1.gse' 1 /|sp
IF ERRORLEVEL 1 PAUSE
MOVE plot00.ps u2d-t1.ps
REM Plotting the synthetic seismograms (3rd component, time-domain):
ECHO 'u2d-sp-1.dat' 'u2d-t3.gse' 3 /|sp
IF ERRORLEVEL 1 PAUSE
MOVE plot00.ps u2d-t3.ps
REM Plotting the synthetic seismograms (1st component, no attenuation):
ECHO 'u2d-sp-1.dat' 'u2d-f1.gse' 1 /|sp
IF ERRORLEVEL 1 PAUSE
MOVE plot00.ps u2d-f1.ps
REM Plotting the synthetic seismograms (3rd component, no attenuation):
ECHO 'u2d-sp-1.dat' 'u2d-f3.gse' 3 /|sp
IF ERRORLEVEL 1 PAUSE
MOVE plot00.ps u2d-f3.ps
REM Plotting the synthetic seismograms (1st component, noncausal att.):
ECHO 'u2d-sp-4.dat' 'u2d-n1.gse' 1 /|sp
IF ERRORLEVEL 1 PAUSE
MOVE plot00.ps u2d-n1.ps
REM Plotting the synthetic seismograms (3rd component, noncausal att.):
ECHO 'u2d-sp-4.dat' 'u2d-n3.gse' 3 /|sp
IF ERRORLEVEL 1 PAUSE
MOVE plot00.ps u2d-n3.ps
REM Plotting the synthetic seismograms (1st component, attenuation):
ECHO 'u2d-sp-4.dat' 'u2d-q1.gse' 1 /|sp
IF ERRORLEVEL 1 PAUSE
MOVE plot00.ps u2d-q1.ps
REM Plotting the synthetic seismograms (3rd component, attenuation):
ECHO 'u2d-sp-4.dat' 'u2d-q3.gse' 3 /|sp
IF ERRORLEVEL 1 PAUSE
MOVE plot00.ps u2d-q3.ps
REM --------------------------------------------------------------------
REM Rerenaming old PostScript plots:
REM ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
IF EXIST pl0t*.ps REN pl0t*.ps plot*.ps
IF ERRORLEVEL 1 PAUSE
REM --------------------------------------------------------------------
REM In the output PostScript files 'u2d-*.ps' of the 'sp' program, the
REM Setup section may be edited in the following way:
REM  .48 setlinewidth 1 setlinecap 1 setlinejoin
REM For the dvips TeX driver, line
REM %%BoundingBox: (atend)
REM should be replaced with the %%BoundingBox line from the %%Trailer of
REM the PostScript file.
REM
REM Manual editing of the PostScript seismograms using the PE2 editor:
REM PAUSE Press Crtl-C not to edit the output PostScript files
rem PE2 u2d-t1.ps
rem PE2 u2d-t3.ps
rem PE2 u2d-f1.ps
rem PE2 u2d-f3.ps
rem PE2 u2d-n1.ps
rem PE2 u2d-n3.ps
rem PE2 u2d-q1.ps
rem PE2 u2d-q3.ps
REM
REM List of output PostScript figures:
REM ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
REM           Synthetic seismograms:
REM u2d-t1.ps Time-domain, no attenuation, 1st component.
REM u2d-t3.ps Time-domain, no attenuation, 3rd component.
REM u2d-f1.ps Frequency-domain, no attenuation, 1st component.
REM u2d-f3.ps Frequency-domain, no attenuation, 3rd component.
REM u2d-n1.ps Frequency-domain, noncausal attenuation, 1st component.
REM u2d-n3.ps Frequency-domain, noncausal attenuation, 3rd component.
REM u2d-q1.ps Frequency-domain, attenuation, 1st component.
REM u2d-q3.ps Frequency-domain, attenuation, 3rd component.
REM
REM Auxiliary PostScript figures:
REM ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
REM sst0??.ps Sketch of source time function (output of SS).
REM           Sketches of synthetic seismograms (output of SS):
REM sst1??.ps Time-domain, no attenuation, 1st component.
REM sst3??.ps Time-domain, no attenuation, 3rd component.
REM ssf1??.ps Frequency-domain, no attenuation, 1st component.
REM ssf3??.ps Frequency-domain, no attenuation, 3rd component.
REM ssn1??.ps Frequency-domain, noncausal attenuation, 1st component.
REM ssn3??.ps Frequency-domain, noncausal attenuation, 3rd component.
REM ssq1??.ps Frequency-domain, attenuation, 1st component.
REM ssq3??.ps Frequency-domain, attenuation, 3rd component.
REM ====================================================================
